org.bouncycastle.crypto

## Interface SignerWithRecovery

All Superinterfaces:
  Signer

All Known Implementing Classes:
  ISO9796d2PSSSigner, ISO9796d2Signer

    public interface SignerWithRecovery
    extends Signer

Signer with message recovery.

### Method Summary

Methods
`byte[]` `getRecoveredMessage()` Returns a reference to what message was recovered (if any).
`boolean` `hasFullMessage()` Returns true if the signer has recovered the full message as part of signature verification.

### Methods inherited from interface org.bouncycastle.crypto.Signer

`generateSignature, init, reset, update, update, verifySignature`

### Method Detail

#### hasFullMessage

    boolean hasFullMessage()

Returns true if the signer has recovered the full message as part of signature verification.

Returns:
  true if full message recovered.

#### getRecoveredMessage

    byte[] getRecoveredMessage()

Returns a reference to what message was recovered (if any).

Returns:
  full/partial message, null if nothing.